Debian Bug report logs - #348032
man foo > foo.txt gives invalid UTF-8 output with UTF-8 locales

version graph

Package: bsdmainutils; Maintainer for bsdmainutils is Debian Bsdmainutils Team <pkg-bsdmainutils@teams.debian.net>; Source for bsdmainutils is src:bsdmainutils.

Reported by: Vincent Lönngren <bice77@malmo2.net>

Date: Sat, 14 Jan 2006 09:48:02 UTC

Severity: normal

Tags: l10n, patch

Merged with 319952, 484579

Found in version bsdmainutils/6.1.10

Fixed in version bsdmainutils/8.0.1

Done: Michael Meskes <meskes@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#348032; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lönngren <bice77@malmo2.net>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lönngren <bice77@malmo2.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg: Some characters are replace with questionmarks in the Swedish man page when UTF-8 locale is used
Date: Sat, 14 Jan 2006 10:44:44 +0100
Package: dpkg
Version: 1.13.11.0.1
Severity: minor
Tags: l10n

Just like the title says.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.12
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)

Versions of packages dpkg depends on:
ii  coreutils [textutils]         5.2.1-2.1  The GNU core utilities
ii  libc6                         2.3.5-8    GNU C Library: Shared libraries an

dpkg recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#348032; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #10 received at 348032@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Vincent Lönngren <bice77@malmo2.net>, 348032@bugs.debian.org
Subject: Re: Bug#348032: dpkg: Some characters are replace with questionmarks in the Swedish man page when UTF-8 locale is used
Date: Sat, 14 Jan 2006 12:06:14 +0100
Quoting Vincent Lönngren (bice77@malmo2.net):
> Package: dpkg
> Version: 1.13.11.0.1
> Severity: minor
> Tags: l10n
> 
> Just like the title says.


It's quite likely to be because you have a console font which doesn't
include these glyphs.

Anyway, more detailed examples an,d the exact location of these
characters would help




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#348032; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #15 received at 348032@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 348032@bugs.debian.org
Subject: Re: Bug#348032: dpkg: Some characters are replace with questionmarks in the Swedish man page when UTF-8 locale is used
Date: Sat, 14 Jan 2006 14:42:47 +0100
tags 348032 moreinfo
thanks

What I asked to the bug submitter is something like "moreinfo requested".

Quoting Christian Perrier (bubulle@debian.org):
> Quoting Vincent Lönngren (bice77@malmo2.net):
> > Package: dpkg
> > Version: 1.13.11.0.1
> > Severity: minor
> > Tags: l10n
> > 
> > Just like the title says.
> 
> 
> It's quite likely to be because you have a console font which doesn't
> include these glyphs.
> 
> Anyway, more detailed examples an,d the exact location of these
> characters would help
> 
> 

-- 





Tags added: moreinfo Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#348032; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lönngren <bice77@malmo2.net>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #22 received at 348032@bugs.debian.org (full text, mbox):

From: Vincent Lönngren <bice77@malmo2.net>
To: Christian Perrier <bubulle@debian.org>
Cc: 348032@bugs.debian.org
Subject: Re: Bug#348032: dpkg: Some characters are replace with questionmarks in the Swedish man page when UTF-8 locale is used
Date: Sat, 14 Jan 2006 17:28:27 +0100
lör 2006-01-14 klockan 12:06 +0100 skrev Christian Perrier:

> It's quite likely to be because you have a console font which doesn't
> include these glyphs.
> 

The console font certainly does have them - I use them almost daily, and
they show up just fine in other parts of the man page. The console font
is Bitstream Vera Sans.

> Anyway, more detailed examples an,d the exact location of these
> characters would help
> 
> 

They are all over the page. An example is that MARKERINGSTILLSTÅND FÖR
PAKET becomes MARKERINGSTILLST???ND F???R PAKET.

It seems to effekt some, but not all, instances of Å, Ä, Ö and å, ä, ö -
that's &Aring;, &Auml;, &Ouml; and &aring;, &auml;, &ouml; in case the
characters happen to be displayed incorrectly in this mail.

I've looked into it further, and found that it looks ok when the page is
viewed with 'man', but not with 'info', so perhaps it's not a fault of
this page after all.
-- 
Vincent Lönngren <bice77@malmo2.net>



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#348032; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #27 received at 348032@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Vincent Lönngren <bice77@malmo2.net>, 348032@bugs.debian.org
Cc: barbier@debian.org
Subject: Re: Bug#348032: dpkg: Some characters are replace with questionmarks in the Swedish man page when UTF-8 locale is used
Date: Sat, 14 Jan 2006 18:30:28 +0100
tags 348032 - moreinfo
thanks

> They are all over the page. An example is that MARKERINGSTILLSTÅND FÖR
> PAKET becomes MARKERINGSTILLST???ND F???R PAKET.
> 
> It seems to effekt some, but not all, instances of Å, Ä, Ö and å, ä, ö -
> that's &Aring;, &Auml;, &Ouml; and &aring;, &auml;, &ouml; in case the
> characters happen to be displayed incorrectly in this mail.
> 
> I've looked into it further, and found that it looks ok when the page is
> viewed with 'man', but not with 'info', so perhaps it's not a fault of
> this page after all.


OK, thanks.

Given the current transition in dpkg maintenance, it's quite likely
that this issue isn't solved for a while, if it pertains to dpkg.

Indeed, we've already seen other UTF-8 strange problems with info (for
instance, try "info man" with an English UTF-8 locale), so there may
be a chance that the culprit is info and not man.

Denis (Abrbier, CC'ed), advice?





Tags removed: moreinfo Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <team@dpkg.org>:
Bug#348032; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Denis Barbier <barbier@linuxfr.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <team@dpkg.org>. Full text and rfc822 format available.

Message #34 received at 348032@bugs.debian.org (full text, mbox):

From: Denis Barbier <barbier@linuxfr.org>
To: Christian Perrier <bubulle@debian.org>, 348032@bugs.debian.org
Cc: Vincent Lönngren <bice77@malmo2.net>, control@bugs.debian.org, info@packages.debian.org
Subject: Re: Bug#348032: dpkg: Some characters are replace with questionmarks in the Swedish man page when UTF-8 locale is used
Date: Sun, 15 Jan 2006 21:37:20 +0100
reassign 348032 info
retitle 348032 display problems under UTF-8 locales
thanks

On Sat, Jan 14, 2006 at 06:30:28PM +0100, Christian Perrier wrote:
> > They are all over the page. An example is that MARKERINGSTILLSTÅND FÖR
> > PAKET becomes MARKERINGSTILLST???ND F???R PAKET.
> > 
> > It seems to effekt some, but not all, instances of Å, Ä, Ö and å, ä, ö -
> > that's &Aring;, &Auml;, &Ouml; and &aring;, &auml;, &ouml; in case the
> > characters happen to be displayed incorrectly in this mail.
> > 
> > I've looked into it further, and found that it looks ok when the page is
> > viewed with 'man', but not with 'info', so perhaps it's not a fault of
> > this page after all.
[...]
> Indeed, we've already seen other UTF-8 strange problems with info (for
> instance, try "info man" with an English UTF-8 locale), so there may
> be a chance that the culprit is info and not man.

Yes, it seems that accented letters in section names are screwed up,
reassigning to info.

Denis



Bug reassigned from package `dpkg' to `info'. Request was from Denis Barbier <barbier@linuxfr.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Denis Barbier <barbier@linuxfr.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#348032; Package info. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #43 received at 348032@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Denis Barbier <barbier@linuxfr.org>, Christian Perrier <bubulle@debian.org>, 348032@bugs.debian.org, Vincent Lönngren <bice77@malmo2.net>
Subject: Re: Bug#348032: dpkg: Some characters are replace with questionmarks in the Swedish man page when UTF-8 locale is used
Date: Mon, 16 Jan 2006 09:59:54 +0100
Hi all!

> On Sat, Jan 14, 2006 at 06:30:28PM +0100, Christian Perrier wrote:
> > > They are all over the page. An example is that MARKERINGSTILLSTÅND FÖR
> > > PAKET becomes MARKERINGSTILLST???ND F???R PAKET.
> 
> Yes, it seems that accented letters in section names are screwed up,
> reassigning to info.

Before reassigning this to man I want to ask your opinion:

Info calls man <section> <page> and shows the content of this.

I tried it with a minimal file, containing only

heder stuff

.SH ÅTGÄRDER

ÅTGÄRDER

(in UTF8)

and really the .SH line comes out wrong.

BUT: If I call 

man foo > man.out

I see a strange difference:
ÃÃ~ETGÃÃ~DRDER
       Ã~ETGÃ~DRDER

Note the difference between the initial
	Ã~E ..
in the second line and the doubled
	ÃÃ~E ..
in the first line.

And in fact, loading the file into emacs (the man.out) with utf8
encoding I see *only* in the second line the right characters, but the
first line is messed up!

I don't know what man does and why it doubles the initial char, but the
output is not valid utf8, so info is not to blame.

Do you consent?


Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining AT logic DOT at>             Università di Siena
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
SMARDEN (vb.)
To keep your mouth shut by smiling determinedly through you
teeth. Smardening is largely used by people trying to give the
impression that they're enjoying a story they've heard at least six
times before.
			--- Douglas Adams, The Meaning of Liff



Information forwarded to debian-bugs-dist@lists.debian.org, Norbert Preining <preining@logic.at>:
Bug#348032; Package info. Full text and rfc822 format available.

Acknowledgement sent to Denis Barbier <barbier@linuxfr.org>:
Extra info received and forwarded to list. Copy sent to Norbert Preining <preining@logic.at>. Full text and rfc822 format available.

Message #48 received at 348032@bugs.debian.org (full text, mbox):

From: Denis Barbier <barbier@linuxfr.org>
To: Norbert Preining <preining@logic.at>
Cc: Christian Perrier <bubulle@debian.org>, 348032@bugs.debian.org, Vincent Lönngren <bice77@malmo2.net>, man-db@packages.debian.org, control@bugs.debian.org
Subject: Re: Bug#348032: dpkg: Some characters are replace with questionmarks in the Swedish man page when UTF-8 locale is used
Date: Mon, 16 Jan 2006 11:59:27 +0100
reassign 348032 man-db
retitle 348032 man foo > foo.txt gives invalid UTF-8 output with UTF-8 locales
thanks

On Mon, Jan 16, 2006 at 09:59:54AM +0100, Norbert Preining wrote:
> Hi all!
> 
> > On Sat, Jan 14, 2006 at 06:30:28PM +0100, Christian Perrier wrote:
> > > > They are all over the page. An example is that MARKERINGSTILLSTÅND FÖR
> > > > PAKET becomes MARKERINGSTILLST???ND F???R PAKET.
> > 
> > Yes, it seems that accented letters in section names are screwed up,
> > reassigning to info.
> 
> Before reassigning this to man I want to ask your opinion:
> 
> Info calls man <section> <page> and shows the content of this.
> 
> I tried it with a minimal file, containing only
> 
> heder stuff
> 
> .SH ÅTGÄRDER
> 
> ÅTGÄRDER
> 
> (in UTF8)
> 
> and really the .SH line comes out wrong.
> 
> BUT: If I call 
> 
> man foo > man.out
> 
> I see a strange difference:
> ÃÃ~ETGÃÃ~DRDER
>        Ã~ETGÃ~DRDER
> 
> Note the difference between the initial
> 	Ã~E ..
> in the second line and the doubled
> 	ÃÃ~E ..
> in the first line.
> 
> And in fact, loading the file into emacs (the man.out) with utf8
> encoding I see *only* in the second line the right characters, but the
> first line is messed up!
> 
> I don't know what man does and why it doubles the initial char, but the
> output is not valid utf8, so info is not to blame.

Hi Norbert,

you are right, output is not valid utf8 when redirected into a file,
reassigning to man-db.  Here is another example:
  $ LC_ALL=en_US.UTF-8 man -L C man > man.out
messes up some hyphens (0x2010) and apostrophs (0x2019); it looks
like a multibyte sequence of n bytes is prepended by the (n-1) first
bytes, but not for all occurences.

Denis



Bug reassigned from package `info' to `man-db'. Request was from Denis Barbier <barbier@linuxfr.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Denis Barbier <barbier@linuxfr.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#348032; Package man-db. Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #57 received at 348032@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Denis Barbier <barbier@linuxfr.org>
Cc: Norbert Preining <preining@logic.at>, Christian Perrier <bubulle@debian.org>, 348032@bugs.debian.org, Vincent Lönngren <bice77@malmo2.net>, Bas Zoetekouw <bas@debian.org>, 319952@bugs.debian.org, bsdmainutils@packages.debian.org, control@bugs.debian.org
Subject: Re: Bug#348032: dpkg: Some characters are replace with questionmarks in the Swedish man page when UTF-8 locale is used
Date: Sun, 26 Aug 2007 14:23:37 +0100
reassign 348032 bsdmainutils
severity 348032 normal
merge 319952 348032
# 'patch' if a link to CVS counts; I wasn't sure that 'fixed-upstream'
# was quite right either.
tags 319952 patch
thanks

On Mon, Jan 16, 2006 at 11:59:27AM +0100, Denis Barbier wrote:
> you are right, output is not valid utf8 when redirected into a file,
> reassigning to man-db.  Here is another example:
>   $ LC_ALL=en_US.UTF-8 man -L C man > man.out
> messes up some hyphens (0x2010) and apostrophs (0x2019); it looks
> like a multibyte sequence of n bytes is prepended by the (n-1) first
> bytes, but not for all occurences.

This is the same bug as #319952, and is a bug in col(1).

I discovered that this was fixed some time ago in FreeBSD. See revision
1.18 here:

  http://www.freebsd.org/cgi/cvsweb.cgi/src/usr.bin/col/col.c

I built the current version from FreeBSD CVS (removing the __FBSDID line
so that it would compile on Debian) and confirmed that it fixes this
bug. Daniel, could you please upgrade bsdmainutils to include this new
version of col? As the man-db maintainer I would greatly appreciate it.

Thanks,

-- 
Colin Watson                                       [cjwatson@debian.org]



Bug reassigned from package `man-db' to `bsdmainutils'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Sun, 26 Aug 2007 13:27:03 GMT) Full text and rfc822 format available.

Severity set to `normal' from `minor' Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Sun, 26 Aug 2007 13:27:04 GMT) Full text and rfc822 format available.

Merged 319952 348032. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Sun, 26 Aug 2007 13:27:05 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Sun, 26 Aug 2007 13:27:05 GMT) Full text and rfc822 format available.

Merged 319952 348032 484579. Request was from TSUCHIYA Masatoshi <tsuchiya@namazu.org> to control@bugs.debian.org. (Thu, 05 Jun 2008 13:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#348032; Package bsdmainutils. (Mon, 09 Mar 2009 21:52:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to <john.lindgren@tds.net>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. (Mon, 09 Mar 2009 21:52:47 GMT) Full text and rfc822 format available.

Message #72 received at 348032@bugs.debian.org (full text, mbox):

From: <john.lindgren@tds.net>
To: 319952@bugs.debian.org, 348032@bugs.debian.org, 484579@bugs.debian.org, cjwatson@debian.org, daniel@debian.org
Cc: bas@debian.org, bice77@malmo2.net, tsuchiya@namazu.org
Subject: Re: col doesn't handle UTF-8
Date: Mon, 9 Mar 2009 16:31:28 -0500
[Message part 1 (text/plain, inline)]
Attached is a patch to make col UTF8-aware. Be warned that the patch has
not been thoroughly tested.

John
[col.c.patch (text/x-diff, attachment)]

Tags added: patch Request was from <john.lindgren@tds.net> to control@bugs.debian.org. (Mon, 09 Mar 2009 21:54:07 GMT) Full text and rfc822 format available.

Tags added: patch Request was from <john.lindgren@tds.net> to control@bugs.debian.org. (Mon, 09 Mar 2009 21:54:13 GMT) Full text and rfc822 format available.

Tags added: patch Request was from <john.lindgren@tds.net> to control@bugs.debian.org. (Mon, 09 Mar 2009 21:54:22 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Michael Meskes <meskes@debian.org> to control@bugs.debian.org. (Wed, 23 Sep 2009 11:57:31 GMT) Full text and rfc822 format available.

Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Sun, 08 Nov 2009 11:06:12 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lönngren <bice77@malmo2.net>:
Bug acknowledged by developer. (Sun, 08 Nov 2009 11:06:12 GMT) Full text and rfc822 format available.

Message #85 received at 348032-close@bugs.debian.org (full text, mbox):

From: Michael Meskes <meskes@debian.org>
To: 348032-close@bugs.debian.org
Subject: Bug#348032: fixed in bsdmainutils 8.0.1
Date: Sun, 08 Nov 2009 11:02:07 +0000
Source: bsdmainutils
Source-Version: 8.0.1

We believe that the bug you reported is fixed in the latest version of
bsdmainutils, which is due to be installed in the Debian FTP archive:

bsdmainutils_8.0.1.dsc
  to main/b/bsdmainutils/bsdmainutils_8.0.1.dsc
bsdmainutils_8.0.1.tar.gz
  to main/b/bsdmainutils/bsdmainutils_8.0.1.tar.gz
bsdmainutils_8.0.1_amd64.deb
  to main/b/bsdmainutils/bsdmainutils_8.0.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 348032@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <meskes@debian.org> (supplier of updated bsdmainutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 07 Nov 2009 12:31:56 +0100
Source: bsdmainutils
Binary: bsdmainutils
Architecture: source amd64
Version: 8.0.1
Distribution: unstable
Urgency: low
Maintainer: Debian Bsdmainutils Team <pkg-bsdmainutils@teams.debian.net>
Changed-By: Michael Meskes <meskes@debian.org>
Description: 
 bsdmainutils - collection of more utilities from FreeBSD
Closes: 264996 280176 293689 315664 319952 335087 337311 348032 358609 361223 367299 368384 381114 382638 388153 401091 413900 415057 431930 446547 455248 472355 474600 484579 485809 487985 493759 497014 498232 503276 507602 516271 525925 528657 542229 543833 547622 554561
Changes: 
 bsdmainutils (8.0.1) unstable; urgency=low
 .
   * Added patch system to be able to track upstream's source more
     directly.
   * Updated ncal to the latest upstream version. (Closes: #415057)
   * New maintainers. (Closes: #543833)
   * Bumped Standards version to 3.8.3, no update needed.
   * Made ncal find the first day of the week automatically.
     (Closes: #472355)
   * Added -3 option to cal and ncal. (Closes: #497014)
   * Made ncal cope with longer month names. (Closes: #528657)
   * Document that cal always prints 8 lines. (Closes: #367299)
   * Made ncal catch incorrect year parameter. (Closes: #431930)
   * Made ncal use locale information for knowing how to display week.
     (Closes: #361223)
   * Updated col to the latest FreeBSD version.
     (Closes: #319952, #348032, #484579)
   * Patched col to recognize a single non-empty line without newline.
     (Closes: #335087)
   * Updated colrm to the latest FreeBSD version. (Closes: #516271)
   * Updated column to latest FreeBSD version. (Closes: #368384)
   * Made column react more gracefully upon reading empty fields.
     (Closes: #382638)
   * Re-added '-n' option to column and documented it as a Debian
     extension. (Closes: #485809)
   * Updated colcrt to the latest FreeBSD version.
   * Updated banner to latest FreeBSD version.
   * Renamed banner to printerbanner. (Closes: #315664)
   * Updated hexdump to its latest FreeBSD version.
   * Bumped debhelper compat level.
   * Added patch to prevent segfault in case an empty repetition is
     given. (Closes: #498232)
   * Added patch to make hd ignore -C option. (Closes: #487985)
   * Updated from to latest FreeBSD version.
   * Updated ul to latest FreeBSD version but kept our changes
   * Updated lorder to latest version from OpenBSD.
   * Re-added patch that makes lorder use signal names instead of
     numbers.
   * Updated look to latest version from FreeBSD. (Closes: #547622)
   * Reimplemented and documented -b option for look. (Closes: #264996)
   * Update write to the latest FreeBSD version.
   * Allow writing from a terminal that has mesg n set. (Closes: #455248)
   * Updated calendar binary to latest version from OpenBSD. (Closes: #503276)
   * Patched new calendar sources to use wide-character functions.
   * Created patch to put Debian specific options back into calendar
     tool. (Closes: #293689)
   * Updated all calendars from their FreeBSD sources.
     (Closes: #388153, #413900, #446547, #542229)
   * Added/Fixed some calendar entries as reported by Debian users.
     (Closes: #554561, #337311, #525925, #493759, #381114, #280176))
   * Added Kazakhstan holiday calendar. (Closes: #358609)
   * Updated Ubuntu calendar. (Closes: #474600)
   * Removed double word in manpage. (Closes: #401091)
   * Changed patch of source.data.gz mentioned in README. (Closes: #507602)
   * Added lintian override for setgid write binary.
   * Bumped version to 8.0.1 because we are using sources from FreeBSD 8 now.
Checksums-Sha1: 
 fbc70c465f992b86cb41fd7b8f8c076468a10edf 857 bsdmainutils_8.0.1.dsc
 9ff212232441080e8eb5d8268e718cefa951f318 250897 bsdmainutils_8.0.1.tar.gz
 dcc1d82282d6e0d87fa812d25ace60b094eb0354 197298 bsdmainutils_8.0.1_amd64.deb
Checksums-Sha256: 
 9dcf752d8b3cdab0078eb18977714eda4794c07673cd0f9f452ec573b0011383 857 bsdmainutils_8.0.1.dsc
 d7ef9be8cb16ed2180bed496a41f74511956a4a42303c71710817144f48f902a 250897 bsdmainutils_8.0.1.tar.gz
 14eb9eb4fbd71704787a809fd4a1a7ddfca80631e79c9b50b415529dc297c2c2 197298 bsdmainutils_8.0.1_amd64.deb
Files: 
 1145378013bdfdb9d29b43f5040b85de 857 utils important bsdmainutils_8.0.1.dsc
 46147db6db21d4cff5efc5278691cf2d 250897 utils important bsdmainutils_8.0.1.tar.gz
 bc13d296b6b0ef822efa53eca4850197 197298 utils important bsdmainutils_8.0.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFK9qBRVkEm8inxm9ERAqUqAJ9CkXY2NNi95SEeQGLLSRVVGO+HtwCeLRWq
J/wmeSCwMPzuPc1BbzP3Imc=
=cw6W
-----END PGP SIGNATURE-----





Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Sun, 08 Nov 2009 11:06:13 GMT) Full text and rfc822 format available.

Notification sent to Bas Zoetekouw <bas@debian.org>:
Bug acknowledged by developer. (Sun, 08 Nov 2009 11:06:13 GMT) Full text and rfc822 format available.

Reply sent to Michael Meskes <meskes@debian.org>:
You have taken responsibility. (Sun, 08 Nov 2009 11:06:13 GMT) Full text and rfc822 format available.

Notification sent to TSUCHIYA Masatoshi <tsuchiya@namazu.org>:
Bug acknowledged by developer. (Sun, 08 Nov 2009 11:06:13 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Dec 2009 07:37:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:48:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.